< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package wco
  Definition Classes
    hmrc
-  package dec
  Definition Classes
    wco
- AdditionalDocument
- AdditionalInformation
- Address
- Agent
- Amendment
- Amount
- AmountDeserializer
- Authentication
- Authenticator
- AuthorisationHolder
- BorderTransportMeans
- ChargeDeduction
- Classification
- Commodity
- Communication
- Consignment
- Contact
- CurrencyExchange
- CustomSeqModule
- CustomsValuation
- DangerousGoods
- DateTimeElement
- DateTimeString
- DateTimeStringDeserializer
- Declaration
- Destination
- DutyTaxFee
- ExportCountry
- Freight
- GoodsLocation
- GoodsLocationAddress
- GoodsMeasure
- GoodsShipment
- GovernmentAgencyGoodsItem
- GovernmentAgencyGoodsItemAdditionalDocument
- GovernmentAgencyGoodsItemAdditionalDocumentSubmitter
- GovernmentProcedure
- ImportExportParty
- Invoice
- InvoiceLine
- Itinerary
- JacksonMapper
- LoadingLocation
- Measure
- MeasureDeserializer
- MetaData
- NamedEntityWithAddress
- ObligationGuarantee
- Office
- Origin
- Packaging
- Payment
- Pointer
- PreviousDocument
- Response
- ResponseAdditionalInformation
- ResponseAmendment
- ResponseAppealOffice
- ResponseBank
- ResponseCommodity
- ResponseCommodityDutyTaxFee
- ResponseCommunication
- ResponseContactOffice
- ResponseDateTimeElement
- ResponseDeclaration
- ResponseDutyTaxFee
- ResponseDutyTaxFeePayment
- ResponseError
- ResponseGoodsShipment
- ResponseGovernmentAgencyGoodsItem
- ResponseObligationGuarantee
- ResponsePayment
- ResponsePointer
- ResponseStatus
- RoleBasedParty
- Seal
- SeqDeserializationModifier
- StdAttributeAndTextDeserializer
- TradeTerms
- TransportEquipment
- TransportMeans
- TypeCodeValue
- TypeCodeValues
- Ucr
- ValuationAdjustment
- Warehouse
- WriteOff

c

uk.gov.hmrc.wco.dec

# GovernmentAgencyGoodsItem 

###

#### case class GovernmentAgencyGoodsItem(customsValueAmount: Option[BigDecimal] = None, sequenceNumeric: Int, statisticalValueAmount: Option[Amount] = None, transactionNatureCode: Option[Int] = None, additionalDocuments: Seq[GovernmentAgencyGoodsItemAdditionalDocument] = Seq.empty, additionalInformations: Seq[AdditionalInformation] = Seq.empty, aeoMutualRecognitionParties: Seq[RoleBasedParty] = Seq.empty, buyer: Option[ImportExportParty] = None, commodity: Option[Commodity] = None, consignee: Option[NamedEntityWithAddress] = None, consignor: Option[NamedEntityWithAddress] = None, customsValuation: Option[CustomsValuation] = None, destination: Option[Destination] = None, domesticDutyTaxParties: Seq[RoleBasedParty] = Seq.empty, exportCountry: Option[ExportCountry] = None, governmentProcedures: Seq[GovernmentProcedure] = Seq.empty, manufacturers: Seq[NamedEntityWithAddress] = Seq.empty, origins: Seq[Origin] = Seq.empty, packagings: Seq[Packaging] = Seq.empty, previousDocuments: Seq[PreviousDocument] = Seq.empty, refundRecipientParties: Seq[NamedEntityWithAddress] = Seq.empty, seller: Option[ImportExportParty] = None, ucr: Option[Ucr] = None, valuationAdjustment: Option[ValuationAdjustment] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GovernmentAgencyGoodsItem
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new GovernmentAgencyGoodsItem(customsValueAmount: Option[BigDecimal] = None, sequenceNumeric: Int, statisticalValueAmount: Option[Amount] = None, transactionNatureCode: Option[Int] = None, additionalDocuments: Seq[GovernmentAgencyGoodsItemAdditionalDocument] = Seq.empty, additionalInformations: Seq[AdditionalInformation] = Seq.empty, aeoMutualRecognitionParties: Seq[RoleBasedParty] = Seq.empty, buyer: Option[ImportExportParty] = None, commodity: Option[Commodity] = None, consignee: Option[NamedEntityWithAddress] = None, consignor: Option[NamedEntityWithAddress] = None, customsValuation: Option[CustomsValuation] = None, destination: Option[Destination] = None, domesticDutyTaxParties: Seq[RoleBasedParty] = Seq.empty, exportCountry: Option[ExportCountry] = None, governmentProcedures: Seq[GovernmentProcedure] = Seq.empty, manufacturers: Seq[NamedEntityWithAddress] = Seq.empty, origins: Seq[Origin] = Seq.empty, packagings: Seq[Packaging] = Seq.empty, previousDocuments: Seq[PreviousDocument] = Seq.empty, refundRecipientParties: Seq[NamedEntityWithAddress] = Seq.empty, seller: Option[ImportExportParty] = None, ucr: Option[Ucr] = None, valuationAdjustment: Option[ValuationAdjustment] = None)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val additionalDocuments: Seq[GovernmentAgencyGoodsItemAdditionalDocument]
5.  val additionalInformations: Seq[AdditionalInformation]
6.  val aeoMutualRecognitionParties: Seq[RoleBasedParty]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val buyer: Option[ImportExportParty]
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
10.  val commodity: Option[Commodity]
11.  val consignee: Option[NamedEntityWithAddress]
12.  val consignor: Option[NamedEntityWithAddress]
13.  val customsValuation: Option[CustomsValuation]
14.  val customsValueAmount: Option[BigDecimal]
15.  val destination: Option[Destination]
16.  val domesticDutyTaxParties: Seq[RoleBasedParty]
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  val exportCountry: Option[ExportCountry]
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  val governmentProcedures: Seq[GovernmentProcedure]
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  val manufacturers: Seq[NamedEntityWithAddress]
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  val origins: Seq[Origin]
28.  val packagings: Seq[Packaging]
29.  val previousDocuments: Seq[PreviousDocument]
30.  val refundRecipientParties: Seq[NamedEntityWithAddress]
31.  val seller: Option[ImportExportParty]
32.  val sequenceNumeric: Int
33.  val statisticalValueAmount: Option[Amount]
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  val transactionNatureCode: Option[Int]
36.  val ucr: Option[Ucr]
37.  val valuationAdjustment: Option[ValuationAdjustment]
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped